My Oracle Support Banner

MySQL 5.7+ Fails to Install/Upgrade RPM Packages Due to Failed Dependencies Of Other MySQL Packages (eg. client, common, libs, etc) (Doc ID 2087184.1)

Last updated on JUNE 27, 2018

Applies to:

MySQL Server - Version 5.7 and later
MySQL Cluster - Version 7.5 and later
Information in this document applies to any platform.

Symptoms

MySQL 5.7+ commercial RPM packages not possible to be installed or upgraded to:

[root@host ~]# rpm -ivh mysql-commercial-server-5.7.9-1.1.el5.x86_64.rpm
warning: mysql-commercial-server-5.7.9-1.1.el5.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
mysql-commercial-client = 5.7.9-1.1.el5 is needed by mysql-commercial-server-5.7.9-1.1.el5.x86_64
mysql-commercial-common = 5.7.9-1.1.el5 is needed by mysql-commercial-server-5.7.9-1.1.el5.x86_64

[root@host ~]# rpm -ivh mysql-commercial-common-5.7.9-1.1.el5.x86_64.rpm
warning: mysql-commercial-common-5.7.9-1.1.el5.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
mysql = 5.7.9-1.1.el5 is needed by mysql-commercial-common-5.7.9-1.1.el5.x86_64

[root@host ~]# rpm -Uhv mysql-commercial-server-5.7.9-1.1.el6.x86_64.rpm
warning: mysql-commercial-server-5.7.9-1.1.el6.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
mysql-commercial-client(x86-64) = 5.7.9-1.1.el6 is needed by mysql-commercial-server-5.7.9-1.1.el6.x86_64
mysql-commercial-common(x86-64) = 5.7.9-1.1.el6 is needed by mysql-commercial-server-5.7.9-1.1.el6.x86_64

[root@host ~]# rpm -Uhv mysql-commercial-client-5.7.9-1.1.el6.x86_64.rpm
warning: mysql-commercial-client-5.7.9-1.1.el6.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
mysql-commercial-libs(x86-64) = 5.7.9-1.1.el6 is needed by mysql-commercial-client-5.7.9-1.1.el6.x86_64

[root@host ~]# rpm -Uhv mysql-commercial-libs-5.7.9-1.1.el6.x86_64.rpm
warning: mysql-commercial-libs-5.7.9-1.1.el6.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
error: Failed dependencies:
mysql-commercial-common(x86-64) = 5.7.9-1.1.el6 is needed by mysql-commercial-libs-5.7.9-1.1.el6.x86_64

[root@host ~]# rpm -Uhv mysql-commercial-common-5.7.9-1.1.el6.x86_64.rpm
warning: mysql-commercial-common-5.7.9-1.1.el6.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
Preparing... ########################################### [100%]
file /usr/share/mysql/bulgarian/errmsg.sys from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64
file /usr/share/mysql/czech/errmsg.sys from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64
file /usr/share/mysql/danish/errmsg.sys from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64
...
file /usr/share/mysql/charsets/macroman.xml from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64
file /usr/share/mysql/charsets/swe7.xml from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64
file /usr/share/mysql/errmsg-utf8.txt from install of mysql-commercial-common-5.7.9-1.1.el6.x86_64 conflicts with file from package MySQL-server-advanced-5.6.25-1.rhel5.x86_64

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
 Use yum (recommended option)
 For RHEL 5 / OL 5 / CentOS 5 systems
 For other systems than the above
 Use RPM command
 Install
 Upgrade
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.